LibreOffice LibreOffice 25.8 SDK API Reference

Public Member Functions | List of all members
XEnumerableMap Interface Reference

extends XMap with enumeration capabilities. More...

`import"XEnumerableMap.idl";`

Inheritance diagram for XEnumerableMap:

## Public Member Functions
XEnumeration | createKeyEnumeration ([in] boolean Isolated) raises ( ::com::sun::star::lang::NoSupportException )
| creates an enumerator for the keys of the map More...
XEnumeration | createValueEnumeration ([in] boolean Isolated) raises ( ::com::sun::star::lang::NoSupportException )
| creates an enumerator for the values of the map More...
XEnumeration | createElementEnumeration ([in] boolean Isolated) raises ( ::com::sun::star::lang::NoSupportException )
| creates an enumerator for the key-value pairs of the map More...
Public Member Functions inherited from XMap
void | clear () raises ( ::com::sun::star::lang::NoSupportException )
| clears the map, removing all key-value pairs from it. More...
boolean | containsKey ([in] any Key) raises ( ::com::sun::star::beans::IllegalTypeException, ::com::sun::star::lang::IllegalArgumentException )
| determines whether a mapping for he given key exists in the map More...
boolean | containsValue ([in] any Value) raises ( ::com::sun::star::beans::IllegalTypeException, ::com::sun::star::lang::IllegalArgumentException )
| determines whether the map contains a mapping to a given value. More...
any | get ([in] any Key) raises ( ::com::sun::star::beans::IllegalTypeException, ::com::sun::star::lang::IllegalArgumentException, ::com::sun::star::container::NoSuchElementException )
| gets the value to which a given key maps. More...
any | put ([in] any Key, [in] any Value) raises ( ::com::sun::star::lang::NoSupportException, ::com::sun::star::beans::IllegalTypeException, ::com::sun::star::lang::IllegalArgumentException )
| associates a given key with a given value More...
any | remove ([in] any Key) raises ( ::com::sun::star::lang::NoSupportException, ::com::sun::star::beans::IllegalTypeException, ::com::sun::star::lang::IllegalArgumentException, ::com::sun::star::container::NoSuchElementException )
| removes a key-value mapping, given by key, from the map. More...
Public Member Functions inherited from XElementAccess
type | getElementType ()
boolean | hasElements ()
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Additional Inherited Members
Exported Interfaces inherited from XMap
interface | XElementAccess
Public Attributes inherited from XMap
type | KeyType
| denotes the type of the keys in the map. More...
type | ValueType
| denotes the type of the values in the map. More...

## Detailed Description

extends XMap with enumeration capabilities.

No assumption should be made about the ordering of the elements returned by the various enumerators. In particular, you cannot assume the elements are returned in the same order as they were inserted. Also, you should not expect the `XMap` implementation to make use of a possibly existing strict ordering defined on the domain of all possible key values.

You can create enumerators for the keys of the map, its values, and its key-value pairs.

In all cases, you can create an isolated enumerator, which works on a copy of the map's content. Such an iterator is not affected by changes done to the map after creation of the enumerator.

On the contrary, an enumerator which is non-isolated works directly on the map data. This is less expensive than an isolated enumerator, but means that changes to the map while an enumeration is running potentially invalidate your enumerator. The concrete behavior in this case is undefined, it's up to the service implementing the `XEnumerableMap` interface to specify it in more detail.

Implementations of this interface might decide to support only isolated enumerators, or only non-isolated enumerators. Again, it's up to the service to specify this. Requesting an enumerator type which is not supported will generally result in a com::sun::star::lang::NoSupportException being thrown.

## Member Function Documentation

## ◆ createElementEnumeration()

XEnumeration createElementEnumeration | ( | [in] boolean | Isolated | ) |
raises | ( | ::com::sun::star::lang::NoSupportException
| ) |  |

creates an enumerator for the key-value pairs of the map

The elements returned by the enumerator are instances of com::sun::star::beans::Pair, holding the key-value-pairs which are part of the map.

Parameters

  Isolated | controls whether the newly create enumerator should be isolated from the map.

Exceptions

  com::sun::star::lang::NoSupportException | if the specified enumerator method is not supported by the implementation.

## ◆ createKeyEnumeration()

XEnumeration createKeyEnumeration | ( | [in] boolean | Isolated | ) |
raises | ( | ::com::sun::star::lang::NoSupportException
| ) |  |

creates an enumerator for the keys of the map

Parameters

  Isolated | controls whether the newly create enumerator should be isolated from the map.

Exceptions

  com::sun::star::lang::NoSupportException | if the specified enumerator method is not supported by the implementation.

## ◆ createValueEnumeration()

XEnumeration createValueEnumeration | ( | [in] boolean | Isolated | ) |
raises | ( | ::com::sun::star::lang::NoSupportException
| ) |  |

creates an enumerator for the values of the map

Parameters

  Isolated | controls whether the newly create enumerator should be isolated from the map.

Exceptions

  com::sun::star::lang::NoSupportException | if the specified enumerator method is not supported by the implementation.

The documentation for this interface was generated from the following file:

- com/sun/star/container/XEnumerableMap.idl